#include <exec/types.h>

#include <stdlib.h>

#include <proto/dlg.h>

#include "header.h"

extern struct Library *DLGBase;

extern struct area *get_area(struct areas *,int);

struct area *find_area_string(struct areas *as,char *(*area_func)(struct area *),char *string)
{
   struct area *a;

   a = get_area(as,1);

   while((a != 0) && Stricmp( (*area_func)(a),string ) )
   {
      a = a->next_area;
   }

   return(a);       /* return of zero is error. */
}

